Uploaded image for project: 'EJBCA'
  1. EJBCA
  2. ECA-8216

Installation: Ejbca.ear does not deploy on Wildfly 10

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Not needed to fix
    • Affects Version/s: EJBCA 7.2.0
    • Fix Version/s: EJBCA 7.2.0
    • Component/s: Install-script
    • Labels:
      None
    • Environment:
      MAC OS Mojave
      Wildfly 10.0.1.Final
      Wildfly 14.0.1.Final
      OpenJDK 11.0.3
    • Sprint:
      EJBCA Team Bob - 2019 w21

      Description

      NOTE:
      a. I have not tried this on linux but a setup with Wildfly 14 setup worked.
      b. Tried setup on Wildfly 14 Mac and after running ant -q clean deployear, runs successfully but the ejbca.ear file fails to deploy.

      STEPS

      1. Download from trunk (23 May 2029)
      2. Per instructions, create database and grant rights to a MariaDB
      3. Install WildFly 10.0.1.Final and add mariadb driver

      ACTUAL: MariaDb successfully deploys.

      4. Run ./add-user.sh and follow instructions

      ACTUAL:
      a. User for ManagementRealm should be added successfully
      b. Can successfully load localhost:8080
      c. Clicking Administration Console successfully prompts for user and loads console

      5. Using the instructions for Wildfly 7.2 - Wildfly 10 configure Wildfly for EJBCA

      ACTUAL:
      a. After running the TLS configurations, access to management console cease and deploying the mariadb fails.

      6. Continue and run all instructions

      ACTUAL:
      a. mariadb deploys successfully
      b. localhost:8080 loads
      c. Admin console loads

      7. Run ant -q clean deployear

      ACTUAL: Successful

      8. Run ant runinstall

      EXPECTED: Successful
      ACTUAL:

      11:22:06,232 ERROR [org.jboss.msc.service.fail] (MSC service thread 1-6) MSC000001: Failed to start service jboss.deployment.subunit."ejbca.ear"."scep.war".POST_MODULE: org.jboss.msc.service.StartException in service jboss.deployment.subunit."ejbca.ear"."scep.war".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment "scep.war" of deployment "ejbca.ear"
      at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:154)
      at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1948)
      at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1881)
      at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
      at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
      at java.lang.Thread.run(Thread.java:748)
      Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/util/ServiceControlFilter (Module "deployment.ejbca.ear:main" from Service Module Loader): org/ejbca/util/ServiceControlFilter has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0
      at sun.reflect.GeneratedConstructorAccessor44.newInstance(Unknown Source)
      at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
      at java.lang.reflect.Constructor.newInstance(Constructor.java:423)
      at org.jboss.modules.ModuleClassLoader.defineClass(ModuleClassLoader.java:446)
      at org.jboss.modules.ModuleClassLoader.loadClassLocal(ModuleClassLoader.java:274)
      at org.jboss.modules.ModuleClassLoader$1.loadClassLocal(ModuleClassLoader.java:78)
      at org.jboss.modules.Module.loadModuleClass(Module.java:606)
      at org.jboss.modules.ModuleClassLoader.findClass(ModuleClassLoader.java:190)
      at org.jboss.modules.ConcurrentClassLoader.performLoadClassUnchecked(ConcurrentClassLoader.java:363)
      at org.jboss.modules.ConcurrentClassLoader.performLoadClass(ConcurrentClassLoader.java:351)
      at org.jboss.modules.ConcurrentClassLoader.loadClass(ConcurrentClassLoader.java:93)
      at java.lang.Class.forName0(Native Method)
      at java.lang.Class.forName(Class.java:348)
      at org.jboss.as.ee.utils.ClassLoadingUtils.loadClass(ClassLoadingUtils.java:21)
      at org.jboss.as.ee.utils.ClassLoadingUtils.loadClass(ClassLoadingUtils.java:14)
      at org.jboss.as.ee.component.deployers.InterceptorAnnotationProcessor.processComponentConfig(InterceptorAnnotationProcessor.java:84)
      at org.jboss.as.ee.component.deployers.InterceptorAnnotationProcessor.deploy(InterceptorAnnotationProcessor.java:76)
      at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:147)
      ... 5 more

      11:22:06,282 ERROR [org.jboss.as.controller.management-operation] (DeploymentScanner-threads - 1) WFLYCTL0013: Operation ("full-replace-deployment") failed - address: ([]) - failure description: {
      "WFLYCTL0080: Failed services" =>

      { "jboss.deployment.subunit.\"ejbca.ear\".\"certstore.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"certstore.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"certstore.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/util/ServiceControlFilter (Module \"deployment.ejbca.ear:main\" from Service Module Loader): org/ejbca/util/ServiceControlFilter has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"est.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"est.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"est.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/util/ServiceControlFilter (Module \"deployment.ejbca.ear:main\" from Service Module Loader): org/ejbca/util/ServiceControlFilter has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"webdist.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"webdist.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"webdist.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/util/ServiceControlFilter (Module \"deployment.ejbca.ear:main\" from Service Module Loader): org/ejbca/util/ServiceControlFilter has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"ejbca-ejb.jar\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"ejbca-ejb.jar\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"ejbca-ejb.jar\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/cesecoreintegration/QueuedLoggerMockSessionBean (Module \"deployment.ejbca.ear.ejbca-ejb.jar:main\" from Service Module Loader): org/ejbca/cesecoreintegration/QueuedLoggerMockSessionBean has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"peerconnector.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"peerconnector.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"peerconnector.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/peerconnector/PeerConnectorServlet (Module \"deployment.ejbca.ear.peerconnector.war:main\" from Service Module Loader): org/ejbca/peerconnector/PeerConnectorServlet has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"swagger-ui.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"swagger-ui.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"swagger-ui.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/util/ServiceControlFilter (Module \"deployment.ejbca.ear:main\" from Service Module Loader): org/ejbca/util/ServiceControlFilter has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"crlstore.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"crlstore.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"crlstore.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/util/ServiceControlFilter (Module \"deployment.ejbca.ear:main\" from Service Module Loader): org/ejbca/util/ServiceControlFilter has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"ra-gui.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"ra-gui.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"ra-gui.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/cesecore/authorization/AuthorizationDeniedException (Module \"deployment.ejbca.ear:main\" from Service Module Loader): org/cesecore/authorization/AuthorizationDeniedException has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"adminweb.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"adminweb.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"adminweb.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/ui/web/admin/endentityprofiles/EndEntityProfileMBean (Module \"deployment.ejbca.ear.adminweb.war:main\" from Service Module Loader): org/ejbca/ui/web/admin/endentityprofiles/EndEntityProfileMBean has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"cesecore-ejb.jar\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"cesecore-ejb.jar\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"cesecore-ejb.jar\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/cesecore/certificates/ocsp/OcspResponseGeneratorSessionBean (Module \"deployment.ejbca.ear.cesecore-ejb.jar:main\" from Service Module Loader): org/cesecore/certificates/ocsp/OcspResponseGeneratorSessionBean has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"clearcache.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"clearcache.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"clearcache.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/ui/web/pub/ClearCacheServlet (Module \"deployment.ejbca.ear.clearcache.war:main\" from Service Module Loader): org/ejbca/ui/web/pub/ClearCacheServlet has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"scep.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"scep.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"scep.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/util/ServiceControlFilter (Module \"deployment.ejbca.ear:main\" from Service Module Loader): org/ejbca/util/ServiceControlFilter has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"configdump-ejb.jar\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"configdump-ejb.jar\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"configdump-ejb.jar\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/configdump/ejb/ConfigdumpSessionBean (Module \"deployment.ejbca.ear.configdump-ejb.jar:main\" from Service Module Loader): org/ejbca/configdump/ejb/ConfigdumpSessionBean has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"systemtests-ejb.jar\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"systemtests-ejb.jar\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"systemtests-ejb.jar\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/core/protocol/ocsp/standalone/OcspKeyRenewalProxySessionBean (Module \"deployment.ejbca.ear.systemtests-ejb.jar:main\" from Service Module Loader): org/ejbca/core/protocol/ocsp/standalone/OcspKeyRenewalProxySessionBean has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"healthcheck.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"healthcheck.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"healthcheck.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/ui/web/pub/HealthCheckServlet (Module \"deployment.ejbca.ear.healthcheck.war:main\" from Service Module Loader): org/ejbca/ui/web/pub/HealthCheckServlet has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"status.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"status.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"status.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/util/ServiceControlFilter (Module \"deployment.ejbca.ear:main\" from Service Module Loader): org/ejbca/util/ServiceControlFilter has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"statedump-ejb.jar\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"statedump-ejb.jar\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"statedump-ejb.jar\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/statedump/ejb/StatedumpSessionBean (Module \"deployment.ejbca.ear.statedump-ejb.jar:main\" from Service Module Loader): org/ejbca/statedump/ejb/StatedumpSessionBean has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"acme.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"acme.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"acme.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/ui/web/protocol/acme/AcmeEndPoint (Module \"deployment.ejbca.ear.acme.war:main\" from Service Module Loader): org/ejbca/ui/web/protocol/acme/AcmeEndPoint has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"publicweb.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"publicweb.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"publicweb.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/util/ServiceControlFilter (Module \"deployment.ejbca.ear:main\" from Service Module Loader): org/ejbca/util/ServiceControlFilter has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"edition-specific-ejb.jar\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"edition-specific-ejb.jar\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"edition-specific-ejb.jar\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/core/protocol/acme/AcmeNonceSingletonBean (Module \"deployment.ejbca.ear.edition-specific-ejb.jar:main\" from Service Module Loader): org/ejbca/core/protocol/acme/AcmeNonceSingletonBean has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"ejbca-ws-ejb.jar\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"ejbca-ws-ejb.jar\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"ejbca-ws-ejb.jar\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/core/protocol/ws/EjbcaWS (Module \"deployment.ejbca.ear.ejbca-ws-ejb.jar:main\" from Service Module Loader): org/ejbca/core/protocol/ws/EjbcaWS has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"peerconnector-ejb.jar\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"peerconnector-ejb.jar\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"peerconnector-ejb.jar\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/peerconnector/ra/PeerRaMasterServiceBean (Module \"deployment.ejbca.ear.peerconnector-ejb.jar:main\" from Service Module Loader): org/ejbca/peerconnector/ra/PeerRaMasterServiceBean has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"cmp.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"cmp.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"cmp.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/util/ServiceControlFilter (Module \"deployment.ejbca.ear:main\" from Service Module Loader): org/ejbca/util/ServiceControlFilter has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0", "jboss.deployment.subunit.\"ejbca.ear\".\"ejbca-rest-api.war\".POST_MODULE" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"ejbca.ear\".\"ejbca-rest-api.war\".POST_MODULE: WFLYSRV0153: Failed to process phase POST_MODULE of subdeployment \"ejbca-rest-api.war\" of deployment \"ejbca.ear\" Caused by: java.lang.UnsupportedClassVersionError: Failed to link org/ejbca/util/ServiceControlFilter (Module \"deployment.ejbca.ear:main\" from Service Module Loader): org/ejbca/util/ServiceControlFilter has been compiled by a more recent version of the Java Runtime (class file version 56.0), this version of the Java Runtime only recognizes class file versions up to 52.0" }

      ,
      "WFLYCTL0412: Required services that are not installed:" => [
      "jboss.deployment.subunit.\"ejbca.ear\".\"clearcache.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"statedump-ejb.jar\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"est.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"cmp.war\".POST_MODULE",
      "jboss.deployment.unit.\"ejbca.ear\".beanmanager",
      "jboss.deployment.subunit.\"ejbca.ear\".\"adminweb.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"certstore.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"ejbca-ws-ejb.jar\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"peerconnector-ejb.jar\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"webdist.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"configdump-ejb.jar\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"crlstore.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"acme.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"cesecore-ejb.jar\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"swagger-ui.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"publicweb.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"healthcheck.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"scep.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"status.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"ejbca-ejb.jar\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"edition-specific-ejb.jar\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"peerconnector.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"ra-gui.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"ejbca-rest-api.war\".POST_MODULE",
      "jboss.deployment.subunit.\"ejbca.ear\".\"doc.war\".beanmanager",
      "jboss.deployment.subunit.\"ejbca.ear\".\"peerconnector.rar\".beanmanager",
      "jboss.deployment.subunit.\"ejbca.ear\".\"systemtests-ejb.jar\".POST_MODULE"
      ],
      "WFLYCTL0180: Services with missing/unavailable dependencies" => [
      "jboss.deployment.subunit.\"ejbca.ear\".\"doc.war\".batch.environment is missing [jboss.deployment.subunit.\"ejbca.ear\".\"doc.war\".beanmanager]",
      "jboss.deployment.unit.\"ejbca.ear\".batch.environment is missing [jboss.deployment.unit.\"ejbca.ear\".beanmanager]",
      "jboss.deployment.unit.\"ejbca.ear\".weld.weldClassIntrospector is missing [jboss.deployment.unit.\"ejbca.ear\".beanmanager]",
      "jboss.deployment.subunit.\"ejbca.ear\".\"peerconnector.rar\".batch.environment is missing [jboss.deployment.subunit.\"ejbca.ear\".\"peerconnector.rar\".beanmanager]"

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              ulf_undmark Ulf Undmark
              Reporter:
              margarett Margaret Thomas
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: